#include <QtWidgets/QApplication>
#include "PresenterView.h"
#include "ParticipantView.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QuestionRepo repo{"questions.txt"};
    ParticipantRepo prepo{"participants.txt"};
    ParticipantModel* pmodel = new ParticipantModel{ prepo, repo };
    ParticipantView* pview = new ParticipantView{ pmodel };
    PresenterModel* model = new PresenterModel{ repo };
    PresenterView* view = new PresenterView{ model};
    pview->show();

    view->show();
    return a.exec();

}
